class KPixmapEffect

# class KPixmapEffect | This class includes various pixmap-based graphical effects. More...
Definition | `#include <kpixmapeffect.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum GradientType { VerticalGradient, HorizontalGradient, DiagonalGradient, CrossDiagonalGradient, PyramidGradient, RectangleGradient, PipeCrossGradient, EllipticGradient }
- enum RGBComponent { Red, Green, Blue }
- enum Lighting {NorthLite, NWLite, WestLite, SWLite, SouthLite, SELite, EastLite, NELite}

#### Public Static Methods

- static KPixmap& gradient (KPixmap& pixmap, const QColor &ca, const QColor &cb, GradientType type, int ncols=3)
- static KPixmap& unbalancedGradient (KPixmap& pixmap, const QColor &ca, const QColor &cb, GradientType type, int xfactor = 100, int yfactor = 100, int ncols=3)
- static KPixmap createTiled (const KPixmap& pixmap, QSize size)
- static KPixmap& intensity (KPixmap& pixmap, float ratio)
- static KPixmap& channelIntensity (KPixmap& pixmap, float ratio, RGBComponent channel)
- static KPixmap& blend (KPixmap& pixmap, float initial_intensity, const QColor &bgnd, GradientType eff, bool anti_dir=false, int ncols=3)
- static KPixmap& hash (KPixmap& pixmap, Lighting lite=NorthLite, unsigned int spacing=0, int ncols=3)
- static KPixmap pattern (const KPixmap& pixmap, QSize size, const QColor &ca, const QColor &cb, int ncols=8)
- static KPixmap& fade (KPixmap& pixmap, double val, const QColor &color)
- static KPixmap& toGray (KPixmap& pixmap, bool fast=false)
- static KPixmap& desaturate (KPixmap& pixmap, float desat = 0.3)
- static KPixmap& contrast (KPixmap& pixmap, int c)
- static KPixmap& dither (KPixmap &pixmap, const QColor *palette, int size)
- static KPixmap selectedPixmap ( const KPixmap &pixmap, const QColor &col )

## Detailed Description

This class includes various pixmap-based graphical effects.

Everything is static, so there is no need to create an instance of this class. You can just call the static methods. They are encapsulated here merely to provide a common namespace.

enum GradientType { VerticalGradient, HorizontalGradient, DiagonalGradient, CrossDiagonalGradient, PyramidGradient, RectangleGradient, PipeCrossGradient, EllipticGradient } | ### GradientType

enum RGBComponent { Red, Green, Blue } | ### RGBComponent

enum Lighting {NorthLite, NWLite, WestLite, SWLite, SouthLite, SELite, EastLite, NELite} | ### Lighting

KPixmap& gradient (KPixmap& pixmap, const QColor &ca, const QColor &cb, GradientType type, int ncols=3) | ### gradient

[static]

Creates a gradient from color a to color b of the specified type.

Parameters:

pixmap | The pixmap to process.
ca | Color a.
cb | Color b.
type | The type of gradient.
ncols | The number of colors to use when not running on a truecolor display. The gradient will be dithered to this number of colors. Pass 0 to prevent dithering.

Returns: Returns the generated pixmap, for convenience.

KPixmap& unbalancedGradient (KPixmap& pixmap, const QColor &ca, const QColor &cb, GradientType type, int xfactor = 100, int yfactor = 100, int ncols=3) | ### unbalancedGradient

[static]

Creates an unbalanced gradient.

An unbalanced gradient is a gradient where the transition from color a to color b is not linear, but in this case, exponential.

Parameters:

pixmap | The pixmap that should be written.
ca | Color a.
cb | Color b.
type | The type of gradient.
xfactor | The x decay length. Use a value between -200 and 200.
yfactor | The y decay length.
ncols | The number of colors. See #gradient.

Returns: The generated pixmap, for convencience.

KPixmap createTiled (const KPixmap& pixmap, QSize size) | ### createTiled

[static]

Creates a pixmap of a given size with the given pixmap.

if the given size is bigger than the size of the pixmap, the pixmap is tiled.

Parameters:

pixmap | This is the source pixmap
size | The size the new pixmap should have.

Returns: The generated, tiled pixmap.

KPixmap& intensity (KPixmap& pixmap, float ratio) | ### intensity

[static]

Either brightens or dims a pixmap by a specified ratio.

Parameters:

pixmap | The pixmap to process.
ratio | The ratio to use. Use negative value to dim.

Returns: Returns The pixmap(), provided for convenience.

KPixmap& channelIntensity (KPixmap& pixmap, float ratio, RGBComponent channel) | ### channelIntensity

[static]

Modifies the intensity of a pixmap's RGB channel component.

Parameters:

pixmap | The pixmap to process.
ratio | value. Use negative value to dim.
channel | Which channel(s) should be modified

Returns: Returns the pixmap(), provided for convenience.

KPixmap& blend (KPixmap& pixmap, float initial_intensity, const QColor &bgnd, GradientType eff, bool anti_dir=false, int ncols=3) | ### blend

[static]

Blends the provided pixmap into a background of the indicated color.

- If positive, it tells how much to fade the image in its less affected spot.
- If negative, it tells roughly indicates how much of the image remains unaffected

Parameters:

pixmap | The pixmap to process.
initial_intensity | this parameter takes values from -1 to 1:
bgnd | Indicates the color of the background to blend in.
eff | Lets you choose what kind of blending you like.
anti_dir | Blend in the opposite direction (makes no much sense with concentric blending effects).

Returns: Returns the pixmap(), provided for convenience.

KPixmap& hash (KPixmap& pixmap, Lighting lite=NorthLite, unsigned int spacing=0, int ncols=3) | ### hash

[static]

Builds a hash on any given pixmap.

Parameters:

pixmap | The pixmap to process.
lite | The hash faces the indicated lighting (cardinal poles)
spacing | How many unmodified pixels inbetween hashes.

Returns: Returns The pixmap(), provided for convenience.

KPixmap pattern (const KPixmap& pixmap, QSize size, const QColor &ca, const QColor &cb, int ncols=8) | ### pattern

[static]

Creates a pattern from a pixmap.

The given pixmap is "flattened" between color a to color b.

Parameters:

pixmap | The pixmap to process.
ca | Color a.
cb | Color b.
ncols | The number of colors to use. The image will be dithered to this depth. Pass zero to prevent dithering.

Returns: The pixmap(), provided for convenience.

KPixmap& fade (KPixmap& pixmap, double val, const QColor &color) | ### fade

[static]

Recolors a pixmap.

The most dark color will become color a, the most bright one color b, and in between.

Parameters:

pixmap | The pixmap to process.
ca | Color a.
cb | Color b.
ncols | The number of colors to use. Pass zero to prevent dithering.

Returns: Returns the pixmap(), provided for convenience.

KPixmap& toGray (KPixmap& pixmap, bool fast=false) | ### toGray

[static]

Converts a pixmap to grayscale.

Parameters:

pixmap | The pixmap to process.
fast | Set to `true` in order to use a faster but non-photographic quality algorithm. Appropriate for things such as toolbar icons.

Returns: Returns the pixmap(), provided for convenience.

KPixmap& desaturate (KPixmap& pixmap, float desat = 0.3) | ### desaturate

[static]

Desaturates a pixmap.

Parameters:

pixmap | The pixmap to process.
desat | A value between 0 and 1 setting the degree of desaturation

Returns: Returns The pixmap(), provided for convenience.

KPixmap& contrast (KPixmap& pixmap, int c) | ### contrast

[static]

Modifies the contrast of a pixmap.

Parameters:

pixmap | The pixmap to process.
c | A contrast value between -255 and 255.

Returns: Returns the pixmap(), provided for convenience.

KPixmap& dither (KPixmap &pixmap, const QColor *palette, int size) | ### dither

[static]

Dithers a pixmap using Floyd-Steinberg dithering for low-color situations.

Parameters:

pixmap | The pixmap to process.
palette | The color palette to use.
size | The size of the palette.

Returns: Returns the pixmap(), provided for convenience.

KPixmap selectedPixmap ( const KPixmap &pixmap, const QColor &col ) | ### selectedPixmap

[static]

Calculate a 'selected' pixmap, for instance a selected icon on the desktop.

Parameters:

pixmap | the pixmap to select
col | the selected color, usually from QColorGroup::highlight().

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:03 2003, using kdoc 2.0a54.